package com.qmth.teachcloud.cas.util.sxmu;

import com.qmth.teachcloud.exchange.common.util.ServletUtil;

import javax.servlet.http.HttpServletRequest;
import java.io.UnsupportedEncodingException;
import java.net.URLEncoder;
import java.nio.charset.StandardCharsets;

public class CasUtils {

    public static String getBasePath() {
        HttpServletRequest request = ServletUtil.getRequest();
        String scheme = request.getScheme();
        String serverName = request.getServerName();
        int serverPort = request.getServerPort();
        String contextPath = request.getContextPath();

        // 判断是否配置了显式端口
        boolean explicit_port = Constants.CLIENT_SYSTEM_EXPLICIT_PORT != null
                && !"".equals(Constants.CLIENT_SYSTEM_EXPLICIT_PORT);

        if (explicit_port) {
            try {
                serverPort = Integer.parseInt(Constants.CLIENT_SYSTEM_EXPLICIT_PORT);
            } catch (Exception e) {
                // 异常时赋值，方便双方排查问题
                serverPort = 19000;
            }
            String url = scheme + "://" + serverName + ":" + serverPort
                    + contextPath + "/";
            return url;

        } else {
            if ((serverPort == 80) || (serverPort == 443)) {
                String url = scheme + "://" + serverName + contextPath;
                return url;
            } else {
                String url = scheme + "://" + serverName + ":" + serverPort + contextPath;
                return url;
            }
        }

    }

    /**
     * 获取登出地址
     */
    public static String getLogoutUrl(String schoolServiceAddress) throws UnsupportedEncodingException {
        // 获取本次请求的根Path
        String loginUrlRoot = getBasePath() + Constants.SSO_LOGIN_URI;
        String encodeLoginUrlRoot = URLEncoder.encode(loginUrlRoot, StandardCharsets.UTF_8.toString());
        return schoolServiceAddress + Constants.CAS_LOGOUT_URL + "?" + Constants.SERVICE_KEY + "=" + encodeLoginUrlRoot;
    }
}
