package com.qmth.teachcloud.exchange.common.enums;

import java.util.Objects;

/**
 * 单点登录跳转功能类型
 */
public enum FunctionalTypeEnum {
    HOME("首页"),

    APPLY_MANAGE("入库申请"),
    PAPER_MANAGE("卷库查询");

    FunctionalTypeEnum(String title) {
        this.title = title;
    }

    private String title;

    public String getTitle() {
        return title;
    }

    /**
     * 状态转换 toName
     *
     * @param value
     * @return
     */
    public static String convertToName(String value) {
        for (FunctionalTypeEnum e : FunctionalTypeEnum.values()) {
            if (Objects.equals(value.trim(), e.getTitle())) {
                return e.name();
            }
        }
        return null;
    }
}